Cyberduck Mountain Duck CLI

#4158 closed enhancement (thirdparty)

fs3 compatibility

Reported by: sunsetbrew@… Owned by: dkocher
Priority: normal Milestone:
Component: s3 Version: 3.4.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I have a server that responds to amazon s3 api requests that is not hosted by amazon so i do not want to use the s3.amazonaws.com hostname. When I put a different hostname in, it just prepended it to that hostname. Is there anyway to work around this, so that the hostname I specify is that exact hostname used?

Change History (11)

comment:1 Changed on Jan 28, 2010 at 12:38:06 PM by dkocher

Sounds like #3125. The hostname is configurable now but explicit support for Eucalyptus Walrus is currently disabled.

comment:2 Changed on Jan 28, 2010 at 2:28:05 PM by sunsetbrew@…

I had not seen that and in principle it is the same. I was specifically talking about fs3 http://fs3.sourceforge.net/ which is similar in functionality. I am aware that it would need some updates to become fully compatible which I was going to use this wonderful application to work with. In the end there would be a better was to manage files in a scalable multi-server environment.

I was simply thinking that if one can set the "base" hostname and S3 is treated like a protocol only, then this would be the best tool ever for managing them and it would promote use of centralize file services as well.

In any event, a hat-tip you the author for coming up with the idea to integrate S3 into the file management tool.

comment:3 Changed on Jan 28, 2010 at 3:22:33 PM by dkocher

I would love I could test this out and give some feedback. In theory, if fs3 is API compatible it should just work.

comment:4 Changed on Jan 28, 2010 at 3:24:09 PM by dkocher

  • Summary changed from Can you set the server name on the S3 connection type? to fs3 compatibility

comment:5 follow-up: Changed on Jan 28, 2010 at 4:52:46 PM by sunsetbrew@…

fs3 is still under development (by me) and if there is a way that I can set the base hostname for use by Cyberduck, I will definitely make the modifications necessary to support Cyberduck and recommend it as well. I agree if fs3 is compatible it should just work, but fs3 is a "subset" of the S3 service and I need to make sure it has what is required by your tool.

comment:6 in reply to: ↑ 5 Changed on Jan 28, 2010 at 4:59:40 PM by dkocher

Replying to sunsetbrew@…:

fs3 is still under development (by me) and if there is a way that I can set the base hostname for use by Cyberduck, I will definitely make the modifications necessary to support Cyberduck and recommend it as well. I agree if fs3 is compatible it should just work, but fs3 is a "subset" of the S3 service and I need to make sure it has what is required by your tool.

It should work just fine by entering another hostname in the connection or bookmark setting.

comment:7 follow-up: Changed on Jan 28, 2010 at 8:22:29 PM by sunsetbrew@…

I had tried that but it seemed to assume the hostname I provided was a bucket name instead. It prepended it to the amazon S3 hostname. For example, if i enter fs3.somewhere.com in the server box, it tries to connect to fs3.somewhere.com.s3.amazonaws.com

comment:8 Changed on Jan 29, 2010 at 2:41:10 AM by sunsetbrew@…

Here is how to recreate it.

  • open cyberduck
  • toggle log drawer to open it
  • click open connectin
  • select amazon s3
  • enter carbon.expressobeans.com
  • select anonymous login
  • connection

The dialog result is

I/O Error: Connection failed

httpsanonymous@…/ Bucket not available: carbon.expressobeans.com.

Log reads:

HEAD / HTTP/1.1[\r][\n] Date: Fri, 29 Jan 2010 02:30:33 GMT[\r][\n] Content-Type: [\r][\n] User-Agent: Cyberduck/3.4.1 (5780) (Mac OS X/10.6.2) (i386)[\r][\n] Host: carbon.expressobeans.com.s3.amazonaws.com[\r][\n] [\r][\n] HTTP/1.1 404 Not Found[\r][\n] HTTP/1.1 404 Not Found[\r][\n] x-amz-request-id: 6A541EFFEB853A1B[\r][\n] x-amz-id-2: jrri9PzAjla8gYa/hypX1WjPiFAqhgdaHFG7W8pMLnU8iXRx4UuksBQmE2/RhEUZ[\r][\n] Content-Type: application/xml[\r][\n] Transfer-Encoding: chunked[\r][\n] Date: Fri, 29 Jan 2010 02:30:18 GMT[\r][\n] Server: AmazonS3[\r][\n] [\r][\n]

Summary: It is clear from the log that it never connected to the correct server, but instead connected to amazon's service and amazon treated the entered server name as a bucket (expected them to think it was bucket).

Desired result is to make the request to the server of my choice.

* Never expected carbon (using fs3) to work especially since login is required, but connectivity would be a starting point.

comment:9 in reply to: ↑ 7 Changed on Jan 29, 2010 at 11:21:01 AM by dkocher

Replying to sunsetbrew@…:

I had tried that but it seemed to assume the hostname I provided was a bucket name instead. It prepended it to the amazon S3 hostname. For example, if i enter fs3.somewhere.com in the server box, it tries to connect to fs3.somewhere.com.s3.amazonaws.com

I fixed this in r5807. A new snapshot is available in a few minutes.

comment:10 Changed on Jan 29, 2010 at 2:35:51 PM by sunsetbrew@…

Thank you!

I will get started on this and let you know when it is completed.

comment:11 Changed on Mar 31, 2010 at 1:54:08 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software